# Activities

Activities

 - [GET /activities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/listactivities.md): This method will scan all activities and and return them to the caller.
 - [POST /activities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/createactivity.md): This method will auto-generate an ID and create a new activity. If an ID is specified for the activity, an error will be thrown.
 - [POST /activities/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /activities/{tenantId}/canEdit/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/caneditinportal.md): Determine whether or not activity can be editing in the portal
 - [GET /activities/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/listactivitiesbycontactid.md): Returns a list of records with the specified contact_id
 - [POST /activities/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/previewemail.md): Sends out a preview of the CRC notification email
 - [PUT /activities/{tenantId}/process/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/processactivity.md): This method will auto-generate an ID and create a new activity. If an ID is specified for the activity, an error will be thrown.
 - [POST /activities/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/searchforactivities.md): Searches for activities using predefined parameters
 - [DELETE /activities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/deleteactivity.md): This method will delete a activity with the specified ID.
 - [GET /activities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/getactivity.md): This method will look up a activity by the specified ID and return it back.
 - [PATCH /activities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/patchactivity.md): This method will patch an existing activity with the specified ID, using the HTTP PATCH specification.
 - [PUT /activities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activities/updateactivity.md): This method will update an existing activity with the specified ID.
